;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          package.lisp
;;;; Purpose:       Package definition for pipes package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Apr 2000
;;;;
;;;; $Id: package.lisp,v 1.3 2003/05/06 16:15:51 kevin Exp $
;;;;
;;;; This file, part of pipes, is Copyright (c) 2002 by Kevin M. Rosenberg
;;;;
;;;; Pipes users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;; *************************************************************************

(in-package #:cl-user)

(defpackage #:pipes
  (:use #:common-lisp)
  (:export
   #:+empty-pipe+
   #:make-pipe
   #:pipe-tail
   #:pipe-head
   #:pipe-elt
   #:pipe-enumerate
   #:pipe-values
   #:pipe-force
   #:pipe-filter
   #:pipe-map
   #:pipe-map-filtering
   #:pipe-append
   #:pipe-mappend
   #:pipe-mappend-filtering
   ))


(defpackage #:pipes-user
  (:use #:common-lisp #:pipes)
  )
